Subject: bug#39656: 27.0.60; ordering of fonts in fontset is ignored

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 14 Jun 2021 16:26:37 +0200

Eli Zaretskii <[email-masked]> writes:

> Yes, that is true, AFAIU.  Commenting out this line:
>
>   (set-frame-font ascii)
>
> makes more characters use MS Gothic.  However, CJK Ideographs are
> still not displayed with MS Gothic, but with SimHei (I don't have that
> font on my system, so I used SimSun instead).  But I don't see a
> problem here, because MS Gothic covers only a very small fraction of
> CJK Ideographs.  So Emacs does TRT here, although I couldn't figure
> out why it rejects MS Gothic for these characters.

Skimming this thread, it seems like Emacs is behaving properly, and I'm
closing this bug report.  If there's something that should be done here,
please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no